OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Macros
LoopT.hh File Reference
`#include <OpenMesh/Core/System/config.hh>`
`#include <OpenMesh/Tools/Subdivider/Uniform/SubdividerT.hh>`
`#include <OpenMesh/Core/Utils/vector_cast.hh>`
`#include <vector>`
`#include <cmath>`
Include dependency graph for LoopT.hh:

Go to the source code of this file.

## Classes

class | OpenMesh::Subdivider::Uniform::LoopT< MeshType, RealType >
| Uniform Loop subdivision algorithm. More...
struct | OpenMesh::Subdivider::Uniform::LoopT< MeshType, RealType >::compute_weight
| Helper functor to compute weights for Loop-subdivision.

## Namespaces

namespace | OpenMesh
| Contains all the mesh ingredients like the polygonal mesh, the triangle mesh, different mesh kernels and mesh traits.
namespace | OpenMesh::Subdivider::Uniform
| Software related to uniform subdivision of meshes.

## Macros

#define | V(X) vector_cast< typename mesh_t::Normal >( X )

## Detailed Description